require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS1, "flowersRB", false);
SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", false);
SManager:AddFlowers(FlowerType.FLOWERS7, "flowersSB", true);

SManager:AddCake(CakeType.AUDREY, "cake1White", true);
SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", false);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", true);

SManager:AddHoneymoon(HoneymoonType.BEACH, "HMHawaii", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMSolomonIslands", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMBermuda", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");